Skip to content

Get markets user by the embedded wallet address used on ethos.markets

GET
/markets/users/by/address/{address}
curl --request GET \
--url https://api.ethos.network/api/v2/markets/users/by/address/example
address
required

Ethereum address (0x-prefixed, 20 bytes)

string

Ethereum address (0x-prefixed, 20 bytes)

Successful response

Media typeapplication/json
object
profileId
required
Any of:
integer
> 0 <= 2147483647
twitterUsername
required
string
twitterName
required
string
twitterUserId
required
string
walletAddress
required
Any of:

Ethereum address (0x-prefixed, 20 bytes)

string
avatarUrl
required
string
createdAt
required
string
updatedAt
required
string

Example generated

{
"profileId": 1,
"twitterUsername": "example",
"twitterName": "example",
"twitterUserId": "example",
"walletAddress": "example",
"avatarUrl": "example",
"createdAt": "example",
"updatedAt": "example"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}